<?php
if ( Cubix_I18n::getLang() != Cubix_Application::getDefaultLang() ) {
    $lang = '/' . Cubix_I18n::getLang();
} else {
    $lang = '';
}
?>

<div id="pm-thread-container" class="pm-popup">
	<div class="popup-header an drag_header">
<!--		<p class="title an">--><?//= __('pm_conversation_with', array('name' => $this->participant_name)) ?><!--</p>-->
		<p class="title an">
            <img src="/img/mobile/icons/private-message-avatar.png" class="mess-avatar" />
            <?=$this->participant_name ?>
        </p>
		<div class="close-btn"></div>
	</div>
	<div class="toClear"></div>

	<div class="body">
		<div class="conv">
			<? foreach($this->thread as $message): ?>
			<?
			$is_self_message = true;
			$name = __('me');
			if ($this->user->isMember() && $this->user->id == $message['user_id'] ){
				//$name = $this->user->username;
			} elseif ( $this->escort && $this->escort->id == $message['escort_id'] ) {
				//$name = $this->escort->showname;
			} else {
				$name = $this->participant_name;
				$is_self_message = false;
			}

			?>

			<div class="row <?= $is_self_message ? 'self' : 'their' ?>">
                <div class="mess-avatar"></div>

				<div class="message-body"><span class="arr"></span>
					<div class="i">
						<div class="ii">
							<div class="message-info">
								<span class="name"><?= $name ?></span>
								<span class="date">( <?= date('Y-m-d', $message['date']) ?> | <?= date('i:s', $message['date']) ?> )</span><br/>
							</div>
							<p class="message"><?= $message['body'] ?></p>
						</div>
					</div>


                    <div class="mess-arrow"></div>
				</div>

                <div class="toClear"></div>
			</div>
			<div class="toClear"></div>
			<? endforeach; ?>
		</div>

        <div id="message-send">
            <form class="send-message-box" action="<?=$lang?>/private-messaging/send-message-ajax" method="post">
        <!--		<span class="captcha"><img src="--><?//= $this->getLink('captcha', array(), true) ?><!--&no_tidy" width="90px" height="30px" alt="" /></span>-->
        <!--		<input class="captcha-input" type="text"  name="captcha" size="16"  />-->
                    <input type="hidden" name="participant" id="participant-id" value="<?= $this->participant_id ?>"/>
                    <? if ( $this->user->isAgency() ): ?>
                        <input type="hidden" name="escort_id" id="escort-id" value="<?= $this->self_escort_id ?>"/>
                    <? endif; ?>
                <textarea name="message"></textarea>
                <input data-wrapper-class="submit-mssg" type="submit" id="participant-id" value="OK<?//=__('ok')?>"/>
            </form>
<!--        lang_id + '/private-messaging/send-message-ajax'-->
        </div>
	</div>
	<div class="toClear"></div>
</div>

<script type="text/javascript">
    var form = $('.send-message-box');
    var autoDetect = null;

    form.validate({
        rules: {
            message: {
                required: true
            }
        },
        errorPlacement: function ( error, element ) {
                element.after( error );
        },
        submitHandler: function(_form) {

            form.ajaxSubmit({
                type: "POST",
                url: form.attr('action'),
                beforeSubmit: function( formData, jqForm, options ) {
                    form.find('textarea').css({ 'opacity' : '0.7', 'pointer-events' : 'none' });
                },
                success: function( result ){
                    location.reload();
//                    if( autoDetect ) clearInterval(autoDetect);
//                    autoDetect = setInterval( MCubix.Private.checkForNewPms, 10000 );
                }
            });
        }
    });

</script>